<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");
//echo'<div class="razd"><B>ПАНЕЛЬ АДМИНИСТРАТОРА</B></div>';
if($status=="admin")
{
//////////////////////////////////////////////////главная//////////////////////////////////////////////////
      if(empty($act)){$act="index";}
      if($act=="index")
      {
         echo'<div class="razd">Чистка пользователей</div>';
         echo'Удалить профили, которые неактивны в течении:';
         echo'<form name="forma" action="uzer_dell.php?'.SID.'" method="post">';
         echo'<INPUT TYPE="hidden" NAME="act" VALUE="add">';
         echo'<SELECT NAME="param_dell">';
         echo'<OPTION VALUE="604800" selected>1 неделя';
         echo'<OPTION VALUE="2592000">1 месяц';
         echo'<OPTION VALUE="7776000">3 месяца';
         echo'<OPTION VALUE="15552000">6 месяцев';
         echo'</SELECT><br>';
         echo'<input type="submit" name="" value="Удалить"><br>';
         echo'</form>';
         
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
////////////////////////////////////////////////////////////////////////////////////////
      if($act=="add")
      {
         echo'<div class="razd">Чистка пользователей</div>';
         if(isset($_POST['param_dell'])){$param_dell = $_POST['param_dell'];}
         if(eregi("[^0-9]" , $param_dell )){ echo'запрещённые символы<br>'; }else
         {
            if($param_dell >= "604800")
            {
               $time_real = time();
               $count_del = "0";
               $spis_dell = "";
               
               
               $array_uzer = file("../data/statstik/uzer.dat");
               $nom = count($array_uzer) - 1;
               
               
               $file_spis_uzer = fopen("../data/statstik/uzer.dat", "w+");
               flock ($file_spis_uzer,LOCK_EX);
               
               $i = "0";
               $var = $nom;
               while($i <= $var)
               {
                  $uz_nam =str_replace("\r\n","",$array_uzer[$i]);
                  if(file_exists("../data/uzer/$uz_nam.dat"))
                  {
                     $file_uzer = file("../data/uzer/$uz_nam.dat");
                     $param_uzer=explode("<||>", $file_uzer[0]);
                     $asd_time = $time_real - $param_uzer[16];
                     if($asd_time > $param_dell)
                     {
                        
                        //удаляем
                        @unlink("../data/uzer/$uz_nam.dat");
                        @unlink("../data/privat/$uz_nam.dat");
                        @unlink("../data/privat/out-$uz_nam.dat");
                        @unlink("../data/privat/kontakt-$if_uzer.dat");
                        @unlink("../data/privat/ignor-$if_uzer.dat");
                        
                        ++$count_del;
                        $spis_dell = $spis_dell."* ".$uz_nam;
                     }else
                     {
                        
                        //записываем список поновому
                        fputs($file_spis_uzer,$array_uzer[$i]);
                     }
                  }
                  ++$i;
               }
               
               flock ($file_spis_uzer,LOCK_UN);
               fclose($file_spis_uzer);
               @chmod("../data/statstik/uzer.dat", 0666);
               
               echo'Чистка завершина, удалено '.$count_del.'. <br>'.$spis_dell.'<br>';
            }else
            {
               echo 'Слишком короткий срок для удаления<br>';
            }
            
            
         }
         
         
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?'.SID.'">В меню</a><br>';
      }
      
      
      
   }else{
//session_destroy();
echo'<div class="razd">Ошибка</div>';
echo'Нужны права администратора';
echo'<hr size="2" width="100%">';
echo'<a href="index.php?'.SID.'">Назад</a><br>';
}




echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>